cpp11_zone_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include <cstdlib>`
`#include <memory>`
`#include <vector>`
`#include "msgpack/cpp_config.hpp"`

Go to the source code of this file.

## Namespaces

| msgpack

## Macros

#define | MSGPACK_ZONE_CHUNK_SIZE 8192
#define | MSGPACK_ZONE_ALIGN sizeof(void*)
#define | MSGPACK_ZONE_ALIGNOF(type) __alignof__(type)

## Functions

std::size_t | msgpack::aligned_size (std::size_t size, std::size_t align)

## Macro Definition Documentation

## MSGPACK_ZONE_ALIGN

#define MSGPACK_ZONE_ALIGN sizeof(void*)

## MSGPACK_ZONE_ALIGNOF

#define MSGPACK_ZONE_ALIGNOF | ( |  | type | ) | __alignof__(type)

## MSGPACK_ZONE_CHUNK_SIZE

#define MSGPACK_ZONE_CHUNK_SIZE 8192